Loading...
Searching...
No Matches
Ogre::HardwareBufferLockGuard Struct Reference
Core » RenderSystem

Locking helper. More...

`#include <OgreHardwareBuffer.h>`

## Public Member Functions

| HardwareBufferLockGuard ()
template<typename T>
| HardwareBufferLockGuard (const SharedPtr< T > &p, HardwareBuffer::LockOptions options)
template<typename T>
| HardwareBufferLockGuard (const SharedPtr< T > &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (HardwareBuffer *p, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (HardwareBuffer *p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| ~HardwareBufferLockGuard ()
template<typename T>
void | lock (const SharedPtr< T > &p, HardwareBuffer::LockOptions options)
template<typename T>
void | lock (const SharedPtr< T > &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | lock (HardwareBuffer *p, HardwareBuffer::LockOptions options)
void | lock (HardwareBuffer *p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | unlock ()

## Public Attributes

HardwareBuffer * | pBuf
void * | pData

## Detailed Description

Locking helper.

Guaranteed unlocking even in case of exception.

## Constructor & Destructor Documentation

## HardwareBufferLockGuard() [1/5]

Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard | ( |  | ) |

inline

References pBuf, and pData.

## HardwareBufferLockGuard() [2/5]

Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | HardwareBuffer * | p,
|  | HardwareBuffer::LockOptions | options )

inline

References lock(), pBuf, and pData.

## HardwareBufferLockGuard() [3/5]

Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | HardwareBuffer * | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )

inline

References lock(), pBuf, and pData.

## HardwareBufferLockGuard() [4/5]

template<typename T>

Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | const SharedPtr< T > & | p,
|  | HardwareBuffer::LockOptions | options )

inline

References lock(), pBuf, and pData.

## HardwareBufferLockGuard() [5/5]

template<typename T>

Ogre::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | const SharedPtr< T > & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )

inline

References lock(), pBuf, and pData.

## ~HardwareBufferLockGuard()

Ogre::HardwareBufferLockGuard::~HardwareBufferLockGuard | ( |  | ) |

inline

References unlock().

## Member Function Documentation

## unlock()

void Ogre::HardwareBufferLockGuard::unlock | ( |  | ) |

inline

References pBuf, and pData.

Referenced by ~HardwareBufferLockGuard(), lock(), and lock().

## lock() [1/4]

void Ogre::HardwareBufferLockGuard::lock | ( | HardwareBuffer * | p,
|  | HardwareBuffer::LockOptions | options )

inline

References pBuf, pData, and unlock().

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), lock(), and lock().

## lock() [2/4]

void Ogre::HardwareBufferLockGuard::lock | ( | HardwareBuffer * | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )

inline

References pBuf, pData, and unlock().

## lock() [3/4]

template<typename T>

void Ogre::HardwareBufferLockGuard::lock | ( | const SharedPtr< T > & | p,
|  | HardwareBuffer::LockOptions | options )

inline

References lock().

## lock() [4/4]

template<typename T>

void Ogre::HardwareBufferLockGuard::lock | ( | const SharedPtr< T > & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )

inline

References lock().

## Member Data Documentation

## pBuf

HardwareBuffer* Ogre::HardwareBufferLockGuard::pBuf

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), lock(), lock(), and unlock().

## pData

void* Ogre::HardwareBufferLockGuard::pData

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), lock(), lock(), and unlock().

The documentation for this struct was generated from the following file:

- OgreHardwareBuffer.h